# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libattr-devel
# END SourceDeps(oneline)
Name:           fusecompress
Version:        2.6
Release:        alt1_18.20110801git913897f4
Summary:        FUSE based compressed filesystem implementation

Group:          System/Libraries
License:        GPLv2
URL:            http://miio.net/fusecompress/
#Source0:        http://download.github.com/tex-fusecompress-4e07d3fe1c61f9a83732eb3021e3016feb008bdb.tar.gz
# Snapshot instructions
# git clone git://github.com/tex/fusecompress.git 
# cd fusecompress
# git checkout 913897f424af319a0fa67d5356454de1512efeae
# cd ..
# mv fusecompress fusecompress-2.6
# tar -cvf -  fusecompress-2.6 |xz -c > fusecompress-20110801.tar.xz
Source0: fusecompress-20110801.tar.xz
Source1:        README.fedora
# https://developer.berlios.de/bugs/?func=detailbug&bug_id=18285&group_id=5384
Patch1:         fusecompress-boost-1.44.patch
# Compilation issue with Boost.Math for Boost-1.48
# Fedora ticket: https://bugzilla.redhat.com/show_bug.cgi?id=760616
# Upstream ticket (BerliOS): https://developer.berlios.de/bugs/?func=detailbug&bug_id=18442&group_id=5384
# Upstream ticket (GitHub): https://github.com/tex/fusecompress/pull/7
# Upstream keeps a partial embedded version of the Boost source tree.
# That version seems outdated, and is incomplete. There are some clashes with
# upstream Boost for the missing parts (e.g., with Boost.Lexical_Cast).
# The tactic, to fix the issue here, is to remove the embedded Boost.Math
# source tree part.
Patch2:         fusecompress-boost-1.48.patch

BuildRequires:  libfuse-devel libmagic-devel boost-devel boost-filesystem-devel boost-wave-devel boost-graph-parallel-devel boost-math-devel boost-mpi-devel boost-program_options-devel boost-signals-devel boost-intrusive-devel boost-asio-devel
BuildRequires:  zlib-devel bzip2-devel liblzo2-devel
BuildRequires:  liblzma-devel
BuildRequires:  autoconf automake libtool
Requires:       fuse
Source44: import.info


%description
FuseCompress provides a mountable Linux filesystem which transparently
compresses its content.  Files stored in this filesystem are compressed
on the fly and Fuse allows to create a transparent interface between
compressed files and user applications.


%prep
%setup -q -n fusecompress-%{version}
%patch1 -p1 -b .boost44
%patch2 -p1 -b .boost48

rm -Rf src/boost/math

autoreconf -fi

find . -name ChangeLog -o -name '*.[ch]pp' |xargs chmod -x

cp %{SOURCE1} .

%build
%configure --with-boost-libdir=%{_libdir}
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/sbin


%files
%{_bindir}/fusecompress
%{_bindir}/fusecompress_offline
%{_bindir}/print_compress
%{_bindir}/mount.fusecompress
%{_bindir}/xattrs
%{_mandir}/man1/fusecompress.1*
%{_mandir}/man1/fusecompress_offline.1*
%doc ChangeLog README AUTHORS COPYING NEWS README.fedora


%changelog
* Mon Feb 11 2013 Igor Vlasenko <viy@altlinux.ru> 2.6-alt1_18.20110801git913897f4
- update to new release by fcimport

* Mon Dec 24 2012 Igor Vlasenko <viy@altlinux.ru> 2.6-alt1_16.20110801git913897f4
- initial fc import

